--- debcommit.pl.orig	2008-07-18 09:01:54.000000000 +0300
+++ debcommit.pl	2009-04-27 11:23:30.000000000 +0300
@@ -87,6 +87,13 @@
 This option is set by default and ignored if more than one line of
 the message begins with "[*+-] ".
 
+=item B<--sign-commits>, B<--no-sign-commits>
+
+Append a Signed-off-by line to the commit message.
+
+By default this option is set to add the line. Currently this is only supported
+by git.
+
 =item B<--sign-tags>, B<--no-sign-tags>
 
 If this option is set, then tags that debcommit creates will be signed
@@ -197,6 +204,8 @@
    --no-strip-message  Do not strip a leading '* ' (default)
    --sign-tags         Enable signing of tags (git only)
    --no-sign-tags      Do not sign tags (default)
+   --sign-commits      Add a Signed-off-by line to the commit message (default)
+   --no-sign-commits   Do not add a Signed-off-by to the commit message (git only)
    -h --help           This message
    -v --version        Version information
 
@@ -230,6 +239,7 @@
 my $all=0;
 my $stripmessage=1;
 my $signtags=0;
+my $signcommits=1;
 my $changelog="debian/changelog";
 my $keyid;
 
@@ -300,6 +310,7 @@
 		 "c|changelog=s" => \$changelog,
 		 "s|strip-message!" => \$stripmessage,
 		 "sign-tags!" => \$signtags,
+		 "sign-commits!" => \$signcommits,
 		 "R|release-use-changelog!" => \$release_use_changelog,
 		 "h|help" => sub { usage(); exit 0; },
 		 "v|version" => sub { version(); exit 0; },
@@ -448,7 +459,7 @@
 	    if ($all) {
 	        @files_to_commit=("-a")
 	    }
-	    $action_rc = action($prog, "commit", "-m", $message, @files_to_commit);
+	    $action_rc = action($prog, "commit", $signcommits ? "-s" : "", "-m", $message, @files_to_commit);
 	}
     }
     elsif ($prog eq 'tla' || $prog eq 'baz') {
